Bug 607556 - funcd dies if the network is down when it starts
funcd dies if the network is down when it starts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: func (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 07:14 EDT by Scott Schmit
Modified: 2014-01-21 18:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:51:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Schmit 2010-06-24 07:14:15 EDT
Description of problem:
I'm running funcd on all the machines in my network. All the machines have funcd enabled at boot.

The machines which have wired connections via Ethernet will show up when I do a func "*" ping. My laptops, however, do not, even when they are booted and connected to the network. Incidentally, my laptops connect to the network via wireless.

When I log into the laptops, I find that service funcd status shows that funcd was started, but crashed. Also, if I disable the network connection on my machine, then start funcd:
# service funcd status
/usr/bin/funcd is not running
# service funcd start
Starting func daemon: 
# service funcd status
/usr/bin/funcd is not running

Once my network connection is started, I can start funcd and it will keep running, even if the network goes away and comes back.

Wireless connections can sometimes take a little while to start, so I suspect what's happening is that funcd (even though it's set to run last) starts before NetworkManager has gotten the wireless interface up.

I think the bug is that funcd cares that the interface is up.

Version-Release number of selected component (if applicable):
func-0.25-2.fc12.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install funcd on a machine with a wireless network connection
2. Enable funcd (chkconfig funcd on)
3. Restart

Alternate recipe:
1. On any machine, disable the network interface
2. service funcd start
3. service funcd status
  
Actual results:
funcd is not running, making it useless on machines with wireless connections and laptops in general (since they may start out disconnected, and then later connect).

Expected results:
funcd is running and pingable when the machine is up and connected to the network.

Additional info:
Comment 1 seth vidal 2010-06-24 10:07:44 EDT
hmm - I suspect the problem is it needs to do a name lookup to know if it knows who it is. Is your hostname for func not defined in your /etc/hosts?

If you define it there does func work again?
Comment 2 Scott Schmit 2010-06-24 22:16:31 EDT
Actually, it is, though maybe not the way it would think.

On my home network, I've configured DHCP to always assign my laptop with a particular IP address by MAC (so wired & wireless will get different IPs).
In my local DNS forward zone, I have:
nameA.domain A IP-wireless
nameB.domain A IP-wireless
nameC.domain A IP-wired
nameD.domain A IP-wired

My hostname is nameB.domain

In the reverse zone, I have:
IP-wireless PTR nameA.domain
IP-wired PTR nameC.domain

In /etc/hosts, I have:
127.0.0.1 localhost.localdomain localhost
::1 localhost6.localdomain6 localhost6
IP-wireless nameA.domain nameB.domain nameB
IP-wired nameC.domain nameD.domain nameD

Kerberos works, and my ssh server ticket has host/nameA.domain@REALM as its principal.

Func generated the certificate as nameA.domain.
Comment 3 seth vidal 2010-06-25 00:50:32 EDT
Right
so it generated nameA.

when funcd loads it's looking for it's name and then for a key matching that name. If it cannot find one it is generating a new key and csr and attempting to send that to the  certmaster.
Comment 4 Bug Zapper 2011-06-01 11:42:56 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 14:51:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.